Limewire power PC G5 Compatibility Issue

Asked By 40 points N/A Posted on -
qa-featured

 

Hi,

I have a 3 year old G5 without Intel processors. I'm pretty new with the Mac thing, and while installing, I found out that the Limewire version is not compatible with my Mac. Is there a way to get a compatible version of Limewire for power PC g5? Thanks in advance.

 

SHARE
Answered By 563960 points N/A #136273

Limewire power PC G5 Compatibility Issue

qa-featured

I’m not sure if you can still download and use LimeWire right now because it is presently under court-ordered injunction requiring it to cease all operations. It seems that LimeWire is encouraging legal downloads with the LimeWire Store.

The LimeWire website is no longer accessible and you will only be greeted by the court order information if you’ll be visiting the official LimeWire website. If you want to see what the court order says, please see the image below:

I’m not sure if you can still find a website where to download the program. But anyway, here is the information on the last or latest version of the program. LimeWire 5.5.16 is the last and latest version released October 7, 2010.

This version supports Mac OS X 10.5 64-bit Intel only, and Mac OS X 10.6 32-bit and 64-bit. For more information and to possibly try downloading it, please visit softonic® – enjoy software! — LimeWire.

Login/Register to Answer

Related Questions